[ARVADOS] updated: 2.1.0-267-g45b514e1d

Git user git at public.arvados.org
Wed Jan 27 16:27:29 UTC 2021


Summary of changes:
 tools/salt-install/provision.sh | 6 ++++++
 1 file changed, 6 insertions(+)

       via  45b514e1d644f9cb6d6b7ff0acb8372c8ac4d9f8 (commit)
      from  3aa47e60ebd104793c52c1b4e5145f73b51571e3 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 45b514e1d644f9cb6d6b7ff0acb8372c8ac4d9f8
Author: Javier Bértoli <jbertoli at curii.com>
Date:   Wed Jan 27 13:07:14 2021 -0300

    feat(provision): check the cluster name provided is exactly 5 chars long
    
    refs #17246
    Arvados-DCO-1.1-Signed-off-by: Javier Bértoli <jbertoli at curii.com>

diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index facb2e88e..ce1588c19 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -139,6 +139,12 @@ else
   exit 1
 fi
 
+if ! grep -E '^[[:alnum:]]{5}$' <<<${CLUSTER} ; then
+  echo >&2 "ERROR: <CLUSTER> must be exactly 5 alphanumeric characters long"
+  echo >&2 "Fix the cluster name in the 'local.params' file and re-run the provision script"
+  exit 1
+fi
+
 # Salt's dir
 ## states
 S_DIR="/srv/salt"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list